| Home | Libraries | People | FAQ | More

##### results::last_insert_id

Returns the last insert ID produced by the executed SQL statement.

###### Synopsis

    std::uint64_t
    last_insert_id() const noexcept;

###### Description

For operations returning more than one resultset, returns the first resultset's last insert ID.

###### Preconditions

`this->has_value() == true`

###### Exception safety

No-throw guarantee.

###### Complexity

Constant.